# Node.js dependencies
node_modules/

# Logs
logs/
*.log
npm-debug.log*
yarn-debug.log*
yarn-error.log*
pnpm-debug.log*

# OS generated files
.DS_Store
Thumbs.db

# Python dependencies
__pycache__/
*.py[cod]
*.pyo
*.pyd
venv/

# IDE settings
.vscode/
.idea/
*.sublime-workspace

# Environment variables
.env

# Build outputs
build/
*.pyc

# Database
*.sqlite3
*.db

# Miscellaneous
*.bak
*.swp
*.tmp
*.temp
